"use strict";
const domLogViewMainWindow = document.getElementById("main_window");
sLocPathName = '/web-ui/static/LogView.html';
request_url = location.origin + (location.pathname === sLocPathName) ? "" : location.origin + location.pathname.replace("/static/LogView.html", "");
try {
    const urlParams = new URLSearchParams(window.location.search);
    const url = urlParams.get('url');
    const key = urlParams.get('key');
    const side = urlParams.get('side');
    if (!url || !key || !side)
        throw null;
    const user = urlParams.get('user');
    GSLogViewer(url, key, side, user);
}
catch (err) {
    alert(err);
}
